Bug 1003660 - Review Request: perl-Path-Tiny - File path utility
Review Request: perl-Path-Tiny - File path utility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 1003650
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 11:03 EDT by Paul Howarth
Modified: 2013-09-12 20:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Path-Tiny-0.031-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2013-09-02 11:03:50 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Path-Tiny/branches/fedora/perl-Path-Tiny.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Path-Tiny/perl-Path-Tiny-0.031-2.fc21.src.rpm
Description:
This module attempts to provide a small, fast utility for working with file
paths. It is friendlier to use than File::Spec and provides easy access to
functions from several other core file handling modules.

It doesn't attempt to be as full-featured as IO::All or Path::Class, nor does
it try to work for anything except Unix-like and Win32 platforms. Even then, it
might break if you try something particularly obscure or tortuous.

All paths are forced to have Unix-style forward slashes. Stringifying the
object gives you back the path (after some clean up).

File input/output methods flock handles before reading or writing, as
appropriate.

The *_utf8 methods (slurp_utf8, lines_utf8, etc.) operate in raw mode without
CRLF translation.

It uses autodie internally, so most failures will be thrown as exceptions.


Fedora Account System Username: pghmcfc

This package is needed for the test suite of the current upstream release of Config-Tiny.
Comment 1 Petr Šabata 2013-09-03 10:26:44 EDT
You could BR perl(Config) for consistency.

The package is fine.  Approving.
Comment 2 Paul Howarth 2013-09-03 10:43:43 EDT
New Package SCM Request
=======================
Package Name: perl-Path-Tiny
Short Description: File path utility
Owners: pghmcfc
Branches: f19 f20
InitialCC: perl-sig

Thanks for the review Petr. I'll add BR: perl(Config) post-import.
Comment 3 Gwyn Ciesla 2013-09-03 10:59:39 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-03 12:51:00 EDT
perl-Path-Tiny-0.031-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Path-Tiny-0.031-3.fc19
Comment 5 Fedora Update System 2013-09-12 20:56:15 EDT
perl-Path-Tiny-0.031-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.